Customer auth keys
Create Customer Sign-In Key
Create or rotate the active customer sign-in key for a product space.
Authorization
clientKeyHeader clientSecretHeader x-client-key<token>
Client API key credential.
In: header
x-client-secret<token>
Client API secret credential.
In: header
Path Parameters
productSpaceId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.dokaai.com/v1/dokaai/nudge/customer-auth-keys/product-spaces/string" \ -H "Content-Type: application/json" \ -d '{}'{
"status": "success",
"message": "string",
"data": {
"id": "string",
"productSpaceId": "string",
"signingKeyId": "string",
"algorithm": "RS256",
"publicKey": "string",
"productSpaceCode": "string",
"workspaceId": "string",
"privateKey": "string",
"warning": "string"
},
"metaData": null,
"error": null
}{
"status": "error",
"message": "string",
"data": null,
"metaData": null,
"error": null
}{
"status": "error",
"message": "string",
"data": null,
"metaData": null,
"error": null
}{
"status": "error",
"message": "string",
"data": null,
"metaData": null,
"error": null
}{
"status": "error",
"message": "string",
"data": null,
"metaData": null,
"error": null
}